socket.c File Reference
Socket convenience functions

Osmocom socket convenience functions. More...

`#include "../config.h"`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/select.h>`
`#include <osmocom/core/socket.h>`
`#include <sys/ioctl.h>`
`#include <sys/socket.h>`
`#include <sys/types.h>`
`#include <sys/un.h>`
`#include <netinet/in.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <netdb.h>`
`#include <ifaddrs.h>`

## Functions

int | osmo_sock_init (uint16_t family, uint16_t type, uint8_t proto, const char *host, uint16_t port, unsigned int flags)
| Initialize a socket (including bind/connect) More...
static int | osmo_fd_init_ofd (struct osmo_fd *ofd, int sfd)
| fill osmo_fd for a give sfd More...
int | osmo_sock_init_ofd (struct osmo_fd *ofd, int family, int type, int proto, const char *host, uint16_t port, unsigned int flags)
| Initialize a socket and fill osmo_fd. More...
int | osmo_sock_init_sa (struct sockaddr *ss, uint16_t type, uint8_t proto, unsigned int flags)
| Initialize a socket and fill sockaddr. More...
static int | sockaddr_equal (const struct sockaddr *a, const struct sockaddr *b, unsigned int len)
int | osmo_sockaddr_is_local (struct sockaddr *addr, unsigned int addrlen)
| Determine if the given address is a local address. More...
int | osmo_sock_unix_init (uint16_t type, uint8_t proto, const char *socket_path, unsigned int flags)
| Initialize a unix domain socket (including bind/connect) More...
int | osmo_sock_unix_init_ofd (struct osmo_fd *ofd, uint16_t type, uint8_t proto, const char *socket_path, unsigned int flags)
| Initialize a unix domain socket and fill osmo_fd. More...

## Detailed Description

Osmocom socket convenience functions.